Package org.apache.qpid.proton.reactor.impl

# Class IOImpl

java.lang.Object
org.apache.qpid.proton.reactor.impl.IOImpl

All Implemented Interfaces:
  `IO`

public class IOImpl extends Object implements IO

## Constructor Summary

Constructors
Constructor
Description
`IOImpl()`

## Method Summary

Modifier and Type
Method
Description
`Pipe`
`pipe()`
`Selector`
`selector()`
`ServerSocketChannel`
`serverSocketChannel()`
`SocketChannel`
`socketChannel()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IOImpl

public IOImpl()

## Method Details

### pipe

public Pipe pipe() throws IOException

Specified by:
  `pipe` in interface `IO`
Throws:
  `IOException`

### selector

public Selector selector() throws IOException

Specified by:
  `selector` in interface `IO`
Throws:
  `IOException`

### serverSocketChannel

public ServerSocketChannel serverSocketChannel() throws IOException

Specified by:
  `serverSocketChannel` in interface `IO`
Throws:
  `IOException`

### socketChannel

public SocketChannel socketChannel() throws IOException

Specified by:
  `socketChannel` in interface `IO`
Throws:
  `IOException`